# Podcast Chart Presence

> Pod Engine API endpoint reference, optimized for LLM consumption.
> Auto-generated from the source-of-truth endpoint registry.
>
> Category: Podcasts
> Source: https://www.podengine.ai/api-docs/get-podcast-chart-presence.md
> Interactive HTML docs: https://www.podengine.ai/api-docs/get-podcast-chart-presence
> Full API reference (all endpoints): https://www.podengine.ai/api-docs/llms.txt

**Base URL:** `https://api.podengine.ai`
**Auth:** Requires a Bearer token: `Authorization: Bearer YOUR_API_KEY`

---

#### GET /api/v1/podcasts/:podcastIdOrSlug/charts/presence
**Podcast Chart Presence**

Current and historical charts for a podcast, with 14 UTC weekly best-rank cells and capture-based coverage.

```bash
curl -X GET "https://api.podengine.ai/api/v1/podcasts/this-american-life/charts/presence" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

**Path parameters schema:**
```json
{
  "type": "object",
  "properties": {
    "podcastIdOrSlug": {
      "type": "string",
      "description": "Pod Engine ID or slug, Apple Podcasts ID, Spotify show ID, or podcast:guid"
    }
  },
  "required": [
    "podcastIdOrSlug"
  ],
  "additionalProperties": false
}
```

**Query schema:**
```json
{
  "type": "object",
  "properties": {
    "endDate": {
      "type": "string",
      "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
      "description": "The date of the chart in YYYY-MM-DD format"
    }
  },
  "additionalProperties": false
}
```

**Response schema:**
```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "OK"
      ]
    },
    "data": {
      "type": "object",
      "properties": {
        "presence": {
          "type": "object",
          "properties": {
            "window": {
              "type": "object",
              "properties": {
                "startDate": {
                  "type": "string",
                  "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                  "description": "The date of the chart in YYYY-MM-DD format"
                },
                "endDate": {
                  "type": "string",
                  "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                  "description": "The date of the chart in YYYY-MM-DD format"
                },
                "weeks": {
                  "minItems": 14,
                  "maxItems": 14,
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "startDate": {
                        "type": "string",
                        "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                        "description": "The date of the chart in YYYY-MM-DD format"
                      },
                      "endDate": {
                        "type": "string",
                        "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                        "description": "The date of the chart in YYYY-MM-DD format"
                      },
                      "isPartial": {
                        "type": "boolean"
                      }
                    },
                    "required": [
                      "startDate",
                      "endDate",
                      "isPartial"
                    ],
                    "additionalProperties": false
                  }
                }
              },
              "required": [
                "startDate",
                "endDate",
                "weeks"
              ],
              "additionalProperties": false
            },
            "latestChartDate": {
              "nullable": true,
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
              "description": "The date of the chart in YYYY-MM-DD format"
            },
            "homeCountry": {
              "nullable": true,
              "type": "string"
            },
            "summary": {
              "type": "object",
              "properties": {
                "onNow": {
                  "type": "number"
                },
                "markets": {
                  "type": "number"
                },
                "onNowByPlatform": {
                  "type": "object",
                  "properties": {
                    "apple": {
                      "type": "number"
                    },
                    "spotify": {
                      "type": "number"
                    }
                  },
                  "required": [
                    "apple",
                    "spotify"
                  ],
                  "additionalProperties": false
                },
                "droppedOff30d": {
                  "type": "number"
                },
                "older": {
                  "type": "number"
                },
                "top10Now": {
                  "type": "number"
                }
              },
              "required": [
                "onNow",
                "markets",
                "onNowByPlatform",
                "droppedOff30d",
                "older",
                "top10Now"
              ],
              "additionalProperties": false
            },
            "charts": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "chartType": {
                    "type": "string",
                    "enum": [
                      "apple",
                      "spotify"
                    ],
                    "description": "The type of chart, one of apple, spotify"
                  },
                  "country": {
                    "type": "string",
                    "description": "The country of the chart in ISO 3166-1 alpha-2 format, for example \"us\". Defaults to us."
                  },
                  "category": {
                    "type": "string",
                    "description": "The chart category defaulting to 'top podcasts'. Apple podcasts supports the following: \"top podcasts\", \"arts\", \"business\", \"comedy\", \"education\", \"fiction\", \"government\", \"health & fitness\", \"history\", \"kids & family\", \"leisure\", \"music\", \"news\", \"religion & spirituality\", \"science\", \"society & culture\", \"sports\", \"technology\", \"true crime\", \"tv & film\""
                  },
                  "state": {
                    "type": "string",
                    "enum": [
                      "on_now",
                      "dropped_30d",
                      "older",
                      "unknown"
                    ]
                  },
                  "latestCaptureDate": {
                    "type": "string",
                    "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                    "description": "The date of the chart in YYYY-MM-DD format"
                  },
                  "lastSeen": {
                    "type": "object",
                    "properties": {
                      "date": {
                        "type": "string",
                        "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                        "description": "The date of the chart in YYYY-MM-DD format"
                      },
                      "position": {
                        "type": "integer",
                        "minimum": 0,
                        "exclusiveMinimum": true,
                        "maximum": 9007199254740991
                      }
                    },
                    "required": [
                      "date",
                      "position"
                    ],
                    "additionalProperties": false
                  },
                  "previous": {
                    "nullable": true,
                    "type": "object",
                    "properties": {
                      "date": {
                        "type": "string",
                        "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                        "description": "The date of the chart in YYYY-MM-DD format"
                      },
                      "position": {
                        "type": "integer",
                        "minimum": 0,
                        "exclusiveMinimum": true,
                        "maximum": 9007199254740991
                      }
                    },
                    "required": [
                      "date",
                      "position"
                    ],
                    "additionalProperties": false
                  },
                  "changeKind": {
                    "type": "string",
                    "enum": [
                      "moved",
                      "unchanged",
                      "new",
                      "back",
                      "off",
                      "unknown"
                    ]
                  },
                  "change": {
                    "nullable": true,
                    "type": "integer",
                    "minimum": -9007199254740991,
                    "maximum": 9007199254740991
                  },
                  "weeks": {
                    "minItems": 14,
                    "maxItems": 14,
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "best": {
                          "nullable": true,
                          "type": "integer",
                          "minimum": 0,
                          "exclusiveMinimum": true,
                          "maximum": 9007199254740991
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "observed",
                            "off_chart",
                            "no_chart",
                            "unknown"
                          ],
                          "description": "observed: ranked that day. off_chart: a fully resolved chart exists and the show is not on it. no_chart: no chart was captured that day. unknown: a chart exists but its coverage cannot prove absence."
                        }
                      },
                      "required": [
                        "best",
                        "status"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "weeksOn": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 9007199254740991
                  },
                  "weeksCaptured": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 9007199254740991
                  },
                  "capturesInWindow": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 9007199254740991
                  },
                  "daysOnChartInWindow": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 9007199254740991
                  },
                  "bestInWindow": {
                    "nullable": true,
                    "type": "number"
                  },
                  "averageInWindow": {
                    "nullable": true,
                    "type": "number"
                  },
                  "bestAllTime": {
                    "type": "object",
                    "properties": {
                      "date": {
                        "type": "string",
                        "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                        "description": "The date of the chart in YYYY-MM-DD format"
                      },
                      "position": {
                        "type": "integer",
                        "minimum": 0,
                        "exclusiveMinimum": true,
                        "maximum": 9007199254740991
                      }
                    },
                    "required": [
                      "date",
                      "position"
                    ],
                    "additionalProperties": false
                  },
                  "firstSeenDate": {
                    "type": "string",
                    "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                    "description": "The date of the chart in YYYY-MM-DD format"
                  }
                },
                "required": [
                  "chartType",
                  "country",
                  "category",
                  "state",
                  "latestCaptureDate",
                  "lastSeen",
                  "previous",
                  "changeKind",
                  "change",
                  "weeks",
                  "weeksOn",
                  "weeksCaptured",
                  "capturesInWindow",
                  "daysOnChartInWindow",
                  "bestInWindow",
                  "averageInWindow",
                  "bestAllTime",
                  "firstSeenDate"
                ],
                "additionalProperties": false
              }
            }
          },
          "required": [
            "window",
            "latestChartDate",
            "homeCountry",
            "summary",
            "charts"
          ],
          "additionalProperties": false
        }
      },
      "required": [
        "presence"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "status",
    "data"
  ],
  "additionalProperties": false
}
```

---

## See also

- All endpoints in one file: https://www.podengine.ai/api-docs/llms.txt
- Full reference with every schema inlined: https://www.podengine.ai/api-docs/llms-full.txt
- OpenAPI 3.1 spec: https://www.podengine.ai/api-docs/openapi.json
- Get an API key: https://www.podengine.ai/get-started
- Support: support@podengine.ai
